Subject: Re: Penske is our friend!

From: [email-masked]
Date: Mon Mar 17 13:25:00 2003

From: (null) <[email-masked]>
Date: 03/17/2003 1:29 AM

> Only if you try to get out of taxes.  You don't have to register a
> business if you don't want to incorporate it, but you still have to

HUH???  I own and operate a small business in Orlando, and I can tell you I'd
be dead in the water without a State Fictitious Name registration, as well as
business licenses for Orange County and the City of Orlando.  Even if you're
running it from home, you have to have your papers in order or get fined out
of existence . . .

Later --

Glen
0/0

---

From: William Donzelli <[email-masked]>
Date: Mon Mar 17 18:26:00 2003

> running it from home, you have to have your papers in order or get fined out

Incorporation and business laws vary state by state. In some states, they 
vary county by county. 

William Donzelli
[email-masked]

---

From: "R. D. Davis" <[email-masked]>
Date: Mon Mar 17 18:58:00 2003

> running it from home, you have to have your papers in order or get fined out

That is simply needless bureucracy intended to prevent people from
earning a living, which aims to reduce competition against larger
businesses.  It appears quite ridiculous to spend one's time and money
on needless bureaucracy if one is doing something such as computer
consulting, or selling artwork that one creates, under one's own name,
in which case no one needs to deal with any fictitious name hogwash.
What's next, computer licenses?  How many members of this group would
comply with bureaucracy like that?  Just something to think about.

This reminds me of when I had to create a fictious corporate name,
back when I was in college, just so I could purchase difficult to find
semiconductors from sales 'droids at electronics distributors.  They
refused to sell me anything unless I was a business... so, I simply
told them I was one and made up a name to go with it.  By doing so, I
got quite a few freebies as well (if big companies can get such
freebies, why shouldn't electronics hobbyists?), and got into an
electronics trade show too, where I got enough samples, product
literature, databooks, etc. to fill up the car's entire front seat,
floor area and a fairly large part of the back seat.  ...and I got a
free pit-beef sandwich as well at that trade show. :-)

-- 
Copyright (C) 2002 R. D. Davis The difference between humans & other animals: 
All Rights Reserved            an unnatural belief that we're above Nature & 
[email-masked]  410-744-4900  her other creatures, using dogma to justify such
http://www.rddavis.org         beliefs and to justify much human cruelty.